import * as React from "react";
export declare type ScaleControllerState = {
    scaleAnimation: boolean;
    reverseState: boolean;
    isMouseOn: boolean;
};
export declare type ScaleControllerProps = {
    zoomScale: number;
    zoomChange: (scale: number) => void;
    style?: React.CSSProperties;
};
export default class ScaleController extends React.Component<ScaleControllerProps, ScaleControllerState> {
    private static readonly syncDuration;
    private static readonly dividingRule;
    private tempRuleIndex?;
    private syncRuleIndexTimer;
    constructor(props: ScaleControllerProps);
    private delaySyncRuleIndex;
    private static readRuleIndexByScale;
    private moveTo100;
    private arrowControllerHotKey;
    componentDidMount(): void;
    componentWillUnmount(): void;
    private moveRuleIndex;
    render(): React.ReactNode;
}
